Retrieve Batch Details
Retrieve Batch Details by Id
Call this endpoint with the required parameters to retrieve the details of a specific batch. The Batch ID required for this request can be obtained from the response payload returned during the Create Batch endpoint upon successful batch creation.
Endpoint: `GET /BatchUpload/GetBatchDetailsById?batchId={batchId}&corporateCode={corporateCode}
Request:
curl --location 'https://batch-upload.uat.isw.la/api/BatchUpload/GetBatchDetailsById?batchId=687842&corporateCode=SC1' \
--header 'Accept: text/plain' \
--header 'Authorization: Bearer `<TOKEN>`
Response:
{
"hasResult": true,
"result": {
"batchId": 687842,
"batchDescription": "Test Batch 281026",
"batchStatus": "Closed",
"commitStatus": "AwaitingApproval",
"isSingleDebit": false,
"paymentCount": 0,
"createdOn": "0001-01-01T00:00:00",
"createdBy": null
},
"resultType": 1,
"message": null,
"validationMessages": null,
"responseMessage": null,
"responseCode": "00",
"successful": true
}Request Params Description
| Field | Type | Required | Description |
|---|---|---|---|
| batchId | string | Yes | This value is retrieved from the response payload of the Create Batch API request. |
| corporateCode | string | Yes | Corporate institution code (3-6 chars). This will be provided by Intersiwtch upon go-live |
Retrieve Batch Details by Description
Call this endpoint with the required parameters to retrieve the details of a specific batch. The Batch Description used in this request must be the same as the value provided in the Create Batch request payload
Endpoint: `GET /BatchUpload/GetBatchDetailsByDescription?batchDescription={batchDescription}&corporateCode={corporateCode}
Request:
curl --location 'https://batch-upload.uat.isw.la/api/BatchUpload/GetBatchDetailsByDescription?batchDescription=Test%20Batch%20281026&corporateCode=SC1' \
--header 'Accept: text/plain' \
--header 'Authorization: Bearer `<TOKEN>`
Response:
{
"hasResult": true,
"result": {
"batchId": 687842,
"batchDescription": "Test Batch 281026",
"batchStatus": "Closed",
"commitStatus": "AwaitingApproval",
"isSingleDebit": true,
"paymentCount": 1,
"createdOn": "2026-10-28T05:29:31.65",
"createdBy": "CLN4402776026"
},
"resultType": 1,
"message": null,
"validationMessages": null,
"responseMessage": null,
"responseCode": "00",
"successful": true
}Request Params Description
| Field | Type | Required | Description |
|---|---|---|---|
| batchDescription | string | Yes | The Batch Description used in this request must be the same as the value provided in the Create Batch endpoint |
| corporateCode | string | Yes | Corporate institution code (3-6 chars). This will be provided by Intersiwtch upon go-live |
Support
For technical support or integration assistance:
- Email: [email protected]
Updated about 1 hour ago
